<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClientUserSubscriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('client_user_subscriptions', function (Blueprint $table) {
		$table->unsignedBigInteger('user_id');
		$table->unsignedBigInteger('client_id');
		$table->timestamps();
		$table->primary(['user_id', 'client_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('client_user_subscriptions');
    }
}
